Skip to main content
GET
/
v1
/
payouts
/
{payoutId}
Get
curl --request GET \
  --url https://api.cadanapay.com/v1/payouts/{payoutId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.cadanapay.com/v1/payouts/{payoutId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.cadanapay.com/v1/payouts/{payoutId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "d0137ede-7df1-4a54-8206-b3ab7b03876f",
  "beneficiaryId": "c871b333-e129-409c-aabd-7cfb55a967cc",
  "quoteId": "d35d2bd6-188b-4e82-9a16-71442dad7375",
  "amount": {
    "amount": 500000,
    "currency": "PHP"
  },
  "sourceAmount": {
    "amount": 900,
    "currency": "USD"
  },
  "feeAmount": {
    "amount": 10,
    "currency": "USD"
  },
  "fxRate": "56.1234",
  "reference": "payout-123",
  "status": "succeeded",
  "createdTimestamp": 1748478276,
  "lastUpdatedTimestamp": 1748478276
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-MultiTenantKey
string

Required when using a Platform API token. The tenant key identifying which business to operate on.

Path Parameters

payoutId
string<uuid>
required

The unique identifier for the payout

Example:

"c06f3427-3bbe-4d70-9a54-28acda267e48"

Response

200 - application/json

Get payout response

id
string<uuid>
required
Example:

"d0137ede-7df1-4a54-8206-b3ab7b03876f"

beneficiaryId
string<uuid>
required
Example:

"c871b333-e129-409c-aabd-7cfb55a967cc"

quoteId
string<uuid>
required
Example:

"d35d2bd6-188b-4e82-9a16-71442dad7375"

reference
string
required

The client reference for the payout

Example:

"payout-123"

amount
object
required
sourceAmount
object
required
feeAmount
object
required
fxRate
string
required
Example:

"4059.318355"

status
enum<string>
required
Available options:
initiated,
succeeded,
processing,
failed
Example:

"succeeded"

createdTimestamp
integer
required

Unix timestamp when the payout was created

Example:

1748478276

lastUpdatedTimestamp
integer
required

Unix timestamp when the payout was last updated

Example:

1748478276